import { DataManager } from "../../tw/manager/DataManager";
import SceneCtrl from "../ctrls/sceneCtrl";
import { ModuleTypes } from "../types/sceneTypes";
import Panel from "./Panel";
export default class NoPrizePanel extends Panel {
    start(data) {
        super.start();
        this.data.score = `本局分数 ${DataManager.ins.getData('ngameSubmit').data.score}`;
    }

    onTouchTap_closeBtn(): any {
        super.onTouchTap_closeBtn();
        SceneCtrl.instance.change(ModuleTypes.START_SCENE);
    }
    get skinKey() { return 'NoPrize' }

    protected get closeBtns(): eui.Button[] {
        return [this['closeBtn'], this['onceAgainBtn']]
    }
}